!!MP Inlines.f

C	An example of a FORTRAN Resource for Microsoft Excel 3.0
C	This example call illustrates the use of Unsigned Integer
C	Data, Data Type H. Testing for this example was done with
C	Language Systems FORTRAN version 3.0
C	
C	Below are the commands that were executed to create the 
C	code resource

!!IFC FALSE
 FORTRAN DATAH.f -opt=1 -noimplicit
Link -w -f -srt -ad 4 -t '????' -c '????' ¶
-m DATAH -sn Main=DATAH ¶
-sn f_RunTime=DATAH ¶
-sn f_Intrinsics=DATAH ¶
	DATAH.f.o ¶
	"{FLibraries}"OutpwStubs.o ¶
	"{Libraries}"Runtime.o ¶
	"{Libraries}"Interface.o ¶
	"{FLibraries}"FORTRANlib.o ¶
	"{FLibraries}"IntrinsicLib.o ¶
	"{FLibraries}"FSANELib.o ¶
	-o DATAH.rsc
!!ENDC

C	Source code

	integer*2 function DATAH(%val(a))
	
	integer*2 a
	
		DATAH =  a * 2
	
	return
	end
	
		
	